Subject: [bug#30448] Breaking rdiff-backup and btar (was Re: [bug#30448] Update librsync to 2.0.1)

From: Leo Famulari <[email-masked]>
Date: Wed, 25 Apr 2018 13:23:33 -0400

On Tue, Apr 24, 2018 at 10:30:14PM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > PS — this issue highlighted for me that the duplicity backup program
> > also depends on librsync with MD4. For recent versions of librsync,
> > duplicity forces librsync to fallback to MD4...
> 
> Woow, it does sound like a problem.  :-/

Yeah, it makes me wonder if duplicity is still maintained or not...
A few years ago there was some discussion of making duplicity compatible
with librsync's new BLAKE2 message digests, but I guess the work has
stalled.

Btw, the affected packages (btar, rdiff-backup, and duplicity) are the
only users of librsync in Guix. So I think there is no reason to
update librsync for now.